<!DOCTYPE html>
{% load static %}
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <link href= "{% static 'lab5_index.css'%}" rel="stylesheet" />
    <title>Notes</title>
  </head>

  <nav class="navbar navbar-expand-lg navbar-light">
    <a class="navbar-brand" href="#"> <img src="https://www.pngrepo.com/download/58353/class-notes.png" width="30" height="30" class="d-inline-block align-top" alt="" loading="lazy"> Notes</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav">
        <li class="nav-item active">
          <a class="nav-link" href="/lab-4/">Notes List<span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="/lab-4/add-note">Add Note</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="/lab-4/note-list">Note Cards</a>
        </li>
      </ul>
    </div>
  </nav>

  <body>
    <h1>Notes List</h1>
    <hr>
    <table align = "center">
      <tr>
        <th>To</th>
        <th>From</th>
        <th>Title</th>
        <th>Message</th>
        <th>Action</th>
      </tr>
      {% if notes %} 
        {% for a in notes %}
        <tr>
          <td>{{ a.To }}</td>
          <td>{{ a.From }}</td>
          <td>{{ a.Title }}</td>
          <td>{{ a.Message }}</td>
          <td>{{ a.Message }}</td>
        </tr>
        {% endfor %}
      {% endif %}
    </table>

    <p id="demo"></p>

  </body>

  <script>
    var notes = '{{ response }}'
    document.getElementById("demo").innerHTML = notes;
  </script>
</html>
